require([
    'jquery',
    'bitbucket/internal/util/analytics'
], function(
    $,
    analytics
) {
    $(document).ready(function() {
        $(".import-repository-mat").click(function() {
            analytics.add("importer.welcomeMat");
        });

        $(".import-repository-link").click(function() {
            analytics.add("importer.sidebarItem", {"hasExistingRepos": $(".repository-name").length > 0});
        });
    });
});